%define name wdiff
%define version 0.5
%define release %mkrel 8

Summary: Word-based diff front end
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnu.org/pub/gnu/wdiff/%{name}-%{version}.tar.bz2
Patch: wdiff-0.5-debian-16.patch.bz2
License: GPL
Group: Text tools
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libtermcap-devel
BuildRequires: texinfo
BuildRequires: autoconf2.1
URL: http://www.gnu.org/software/wdiff/wdiff.html

%description
GNU wdiff is a front-end to GNU diff.  It compares two files, finding
which words have been deleted or added to the first in order to create
the second.  It has many output formats and interacts well with
terminals and pagers (notably with less).  GNU wdiff is particularly
useful when two texts differ only by a few words and paragraphs have
been refilled.


%prep
%setup -q
%patch -p1 -b .debian
autoconf

%build
%configure --enable-cbars
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc README NEWS THANKS TODO COPYING ChangeLog BACKLOG
%{_bindir}/wdiff
%{_bindir}/cbars
%{_infodir}/wdiff.info*


%changelog
* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 0.5-8mdv2008.0
+ Revision: 51178
- Import wdiff



* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 0.5-8mdv2007.0
- rebuild

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.5-7mdv2007.0
- get latest patch from Debian
- source URL

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.5-7mdk
- Rebuild

* Thu Jun 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-6mdk
- fix buildrequires

* Fri Jul 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-5mdk
- build without curses
- yet another buildrequires fix

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-4mdk
- another buildrequires fix

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- remove prefix
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild

* Fri Mar 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- initial package based on debian package
